import QtQuick 1.0

MouseArea {
    id: view
    property int animSpeed: 500

    signal closed()

    opacity: 0

    states: [
        State {
            name: "open"
            PropertyChanges {
                target: view
                opacity: 1
            }
        }
    ]

    transitions: [
        Transition {
            to: "open"
            SequentialAnimation {
                PropertyAnimation {
                    properties: "opacity"
                    duration: animSpeed
                }
                ScriptAction {
                    script: {

                    }
                }
            }
        },
        Transition {
            to: ""
            SequentialAnimation {
                PropertyAnimation {
                    properties: "opacity"
                    duration: animSpeed * 0.6
                }
                PauseAnimation { duration: animSpeed * 0.4 }
                ScriptAction {
                    script: {
                        closed();
                        sharingViewLoader.source = sharingViewLoader.file;
                    }
                }
            }
        }
    ]
}

