import QtQuick 1.0
import QtWebKit 1.0


WebView {

    scale:1
    smooth: false

    settings.javascriptEnabled: true //false
    settings.localContentCanAccessRemoteUrls: true
    settings.pluginsEnabled: true

    AnimatedImage {
        id: waitingImage
        anchors.centerIn: parent
        source: "images/waiting.gif"
        visible: true
    }
    // signal handlers

    onUrlChanged: {
        mysharingtwitter.urlhaschanged(url.toString())
    }

    onLoadStarted: {
        waitingImage.visible = true
    }

    onLoadFinished: {
        waitingImage.visible = false
    }

    onLoadFailed: {
        waitingImage.visible = false
    }
}
